This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 896521 - Review Request: maven-verifier - Maven verifier
Review Request: maven-verifier - Maven verifier
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 896103
Blocks: 850077
  Show dependency treegraph
 
Reported: 2013-01-17 08:37 EST by Tomas Radej
Modified: 2013-02-15 11:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 05:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Radej 2013-01-17 08:37:29 EST
Spec URL: http://tradej.fedorapeople.org/reviews/maven-verifier/1/maven-verifier.spec
SRPM URL: http://tradej.fedorapeople.org/reviews/maven-verifier/1/maven-verifier-1.4-1.fc18.src.rpm
Description: Provides a test harness for Maven integration tests.

This is a replacement package for maven-shared-verifier

Fedora Account System Username: tradej
Comment 1 Tomas Radej 2013-01-17 08:39:14 EST
This package requires maven-shared-utils to be packaged first (see Depends).
Comment 2 Stanislav Ochotnicky 2013-01-22 09:04:27 EST
I'll review this
Comment 3 Stanislav Ochotnicky 2013-01-24 03:49:55 EST
FYI package doesn't build due to missing BRs
Comment 5 Stanislav Ochotnicky 2013-01-28 05:22:04 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
false positive - no longer needed

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'
Bundled jar is just metadata test file - OK

- jpackage-utils requires in javadoc package is not needed anymore either


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-verifier-1.4-2.fc19.noarch.rpm
          maven-verifier-javadoc-1.4-2.fc19.noarch.rpm
maven-verifier.noarch: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint maven-verifier maven-verifier-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./maven-verifier-1.4/src/test/resources/mshared104.jar


Requires
--------
maven-verifier (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    junit
    maven-shared-utils

maven-verifier-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
maven-verifier:
    maven-shared-verifier
    maven-verifier
    mvn(org.apache.maven.shared:maven-verifier)

maven-verifier-javadoc:
    maven-verifier-javadoc



MD5-sum check
-------------
http://repo1.maven.org/maven2/org/apache/maven/shared/maven-verifier/1.4/maven-verifier-1.4-source-release.zip :
  CHECKSUM(SHA256) this package     : 13ed9050baea7d46c14354fb8c1705cb101c21cea3420bd80bee03deb3b978cf
  CHECKSUM(SHA256) upstream package : 13ed9050baea7d46c14354fb8c1705cb101c21cea3420bd80bee03deb3b978cf


Generated by fedora-review 0.4.0 (736af0d) last change: 2013-01-28
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -b 896521


No issues, just unneeded requires on jpackage-utils that's not automatically generated. APPROVED
Comment 6 Stanislav Ochotnicky 2013-01-28 05:23:01 EST
Also, to make sure this is obvious: I am aware this was a package renamae/obsoletion scenario
Comment 7 Tomas Radej 2013-02-08 09:06:23 EST
New Package SCM Request
=======================
Package Name: maven-verifier
Short Description: Maven verifier
Owners: tradej sochotni mizdebsk msrb
Branches: f18
InitialCC: java-sig
Comment 8 Jon Ciesla 2013-02-08 09:19:31 EST
Git done (by process-git-requests).
Comment 9 Tomas Radej 2013-02-15 05:02:53 EST
Built in rawhide. Thanks for the review, closing.

Note You need to log in before you can comment on or make changes to this bug.